//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//
// I need that for SunOS-CC !!!
//    G.Barrand
//
// RW :
#include "G4ApplicationState.hh"
#include "G4Element.hh"
#include "G4Event.hh"
#include "G4Isotope.hh"
#include "G4LogicalVolume.hh"
#include "G4MPVEntry.hh"
#include "G4Material.hh"
#include "G4MaterialPropertyVector.hh"
#include "G4NavigationLevel.hh"
#include "G4ParticleDefinition.hh"
#include "G4PhysicsVector.hh"
#include "G4ProcTblElement.hh"
#include "G4ProcessAttribute.hh"
#include "G4ProcessManager.hh"
#include "G4SDStructure.hh"
#include "G4SmartVoxelNode.hh"
#include "G4SmartVoxelProxy.hh"
#include "G4Track.hh"
#include "G4UIcommand.hh"
#include "G4UIcommandTree.hh"
#include "G4UImessenger.hh"
#include "G4UIparameter.hh"
#include "G4VDecayChannel.hh"
#include "G4VDigiCollection.hh"
#include "G4VHitsCollection.hh"
#include "G4VModel.hh"
#include "G4VPhysicalVolume.hh"
#include "G4VPhysicalVolume.hh"
#include "G4VProcess.hh"
#include "G4VSolid.hh"
#include "G4VStateDependent.hh"
#include "G4VTrajectory.hh"
#include "G4UnitsTable.hh"
#include "G4UItokenNum.hh"
#include "G4Trajectory.hh"

template class RWTPtrSlistDictionary<G4String, G4MaterialPropertyVector>;
template class RWTPtrSlistDictionary<G4String, G4ParticleDefinition>;
template class RWTPtrSlistDictionary<int, G4ParticleDefinition>;
template class RWTPtrSlistDictionaryIterator<G4String, G4MaterialPropertyVector>;
template class RWTPtrSlistDictionaryIterator<G4String, G4ParticleDefinition>;
template class RWTPtrSlistDictionaryIterator<int, G4ParticleDefinition>;
template class RWTValSlistDictionary<G4String, void*>;
template class RWTValSlistDictionary<const G4ParticleDefinition*, G4EnergyLossTablesHelper>;
template class RWTValSlistDictionary<unsigned long, int>;
template class G4RWTValVector<yystype>;

template class G4RWTPtrHashDictionary<G4String, G4MaterialPropertyVector>;
template class G4RWTPtrHashDictionary<G4String, G4ParticleDefinition>;
template class G4RWTPtrHashDictionary<int, G4ParticleDefinition>;
template class G4RWTPtrHashDictionaryIterator<G4String, G4MaterialPropertyVector>;
template class G4RWTPtrHashDictionaryIterator<G4String, G4ParticleDefinition>;
template class G4RWTPtrHashDictionaryIterator<int, G4ParticleDefinition>;
template class G4RWTPtrOrderedVector<G4Element>;
template class G4RWTPtrOrderedVector<G4Event>;
template class G4RWTPtrOrderedVector<G4Isotope>;
template class G4RWTPtrOrderedVector<G4LogicalVolume>;
template class G4RWTPtrOrderedVector<G4MPVEntry>;
template class G4RWTPtrOrderedVector<G4Material>;
template class G4RWTPtrOrderedVector<G4ParticleDefinition>;
template class G4RWTPtrOrderedVector<G4PhysicsVector>;
template class G4RWTPtrOrderedVector<G4ProcTblElement>;
template class G4RWTPtrOrderedVector<G4ProcessAttribute>;
template class G4RWTPtrOrderedVector<G4ProcessManager>;
template class G4RWTPtrOrderedVector<G4SDStructure>;
template class G4RWTPtrOrderedVector<G4SmartVoxelNode>;
template class G4RWTPtrOrderedVector<G4SmartVoxelProxy>;
template class G4RWTPtrOrderedVector<G4Track>;
template class G4RWTPtrOrderedVector<G4UIcommand>;
template class G4RWTPtrOrderedVector<G4UIcommandTree>;
template class G4RWTPtrOrderedVector<G4UImessenger>;
template class G4RWTPtrOrderedVector<G4UIparameter>;
template class G4RWTPtrOrderedVector<G4UnitDefinition>;
template class G4RWTPtrOrderedVector<G4UnitsCategory>;
template class G4RWTPtrOrderedVector<G4VDecayChannel>;
template class G4RWTPtrOrderedVector<G4VDigiCollection>;
template class G4RWTPtrOrderedVector<G4VHitsCollection>;
template class G4RWTPtrOrderedVector<G4VModel>;
template class G4RWTPtrOrderedVector<G4VPhysicalVolume>;
template class G4RWTPtrOrderedVector<G4VProcess>;
template class G4RWTPtrOrderedVector<G4VSensitiveDetector>;
template class G4RWTPtrOrderedVector<G4VSolid>;
template class G4RWTPtrOrderedVector<G4VStateDependent>;
template class G4RWTPtrOrderedVector<G4VTrajectory>;
template class G4RWTPtrOrderedVector<G4ValVector>;
template class G4RWTPtrSortedVector<G4MPVEntry>;
template class G4RWTPtrSortedVector<G4VDecayChannel>;
template class G4RWTValHashDictionary<G4String, void*>;
template class G4RWTValHashDictionary<const G4ParticleDefinition*, G4EnergyLossTablesHelper>;
template class G4RWTValHashDictionary<unsigned long, int>;
template class G4RWTValOrderedVector<G4ApplicationState>;
template class G4RWTValOrderedVector<Hep3Vector>;
//template class G4RWTValOrderedVector<HepPlane3D>;
template class G4RWTValOrderedVector<HepPoint3D>;
template class G4RWTValOrderedVector<G4String>;
template class G4RWTValOrderedVector<double>;
template class G4RWTValOrderedVector<int (*)(void*)>;
template class G4RWTValOrderedVector<int>;
template class G4RWTValOrderedVector<void (*)(void)>;
template class G4RWTValOrderedVector<void*>;
template class G4RWTValOrderedVector<yystype>;
template class G4RWTValVector<G4ApplicationState>;
template class G4RWTValVector<G4NavigationLevel>;
template class G4RWTValVector<Hep3Vector>;
//template class G4RWTValVector<HepPlane3D>;
template class G4RWTValVector<HepPoint3D>;
template class G4RWTValVector<G4String>;
template class G4RWTValVector<double>;
template class G4RWTValVector<int (*)(void*)>;
template class G4RWTValVector<int>;
template class G4RWTValVector<void (*)(void)>;
template class G4RWTValVector<void*>;
template class G4RWTPtrOrderedVector<G4VTrajectoryPoint>;

//
// G4 :
#include "G4DecayProducts.hh"
#include "G4Run.hh"

template class G4Allocator<G4DCofThisEvent>;
template class G4Allocator<G4DecayProducts>;
template class G4Allocator<G4DynamicParticle>;
template class G4Allocator<G4Event>;
template class G4Allocator<G4HCofThisEvent>;
template class G4Allocator<G4NavigationLevel>;
template class G4Allocator<G4NavigationLevelRep>;
template class G4Allocator<G4PrimaryParticle>;
template class G4Allocator<G4PrimaryVertex>;
template class G4Allocator<G4Run>;
template class G4Allocator<G4StackedTrack>;
template class G4Allocator<G4Track>;
template class G4Allocator<G4Trajectory>;
template class G4Allocator<G4TrajectoryPoint>;




